"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mime_1 = __importDefault(require("mime"));
function getFormat(resourcePath) {
    const type = mime_1.default.getType(resourcePath);
    switch (type) {
        case "image/jpeg":
            return "jpeg";
        case "image/png":
            return "png";
        case "image/webp":
            return "webp";
        case "image/tiff":
            return "tiff";
    }
    throw new Error(`unsupported image format ${resourcePath}`);
}
exports.default = getFormat;
//# sourceMappingURL=getFormat.js.map